''*******************************************
''*  Telnet Wireless WX Ansi Command  Demo  *
''*  Author: Clock Loop @ parallax forums   *           
''*******************************************

CON  

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  
          
CON

  Tx             = 30   'serial out to wx device
  Rx             = 31   'serial in from wx device

OBJ

  Term          : "FullDuplexSerial" 

Pub Port23Display | Years, Dayz, Hour, Mnit

    Years := 13
    Dayz  := 6
    Hour  := 3
    Mnit  := 45


  
    term.start(Rx, Tx, %0000, 115_200)                                    '1cog start telnet terminal

    waitcnt(80_000_000 + cnt)  
    
    term.str(string(27))    'Set command mode                                                     
    term.str(string("[2J"))                                               'Clear telnet screen


    term.str(string(27))    'Set command mode 
    term.str(string("[1;1f"))  'Set Position
      
    term.str(string(27))    'Set command mode
    term.str(string("[0m")) 'Turn off character attributes

                             
    '--------------SOME ANSI COMMAND CODE INFO---------
        'term.str(string(27))  'Set command mode          
        'term.str(string("[2J")) 'clear screen
                  
        'term.str(string(27))    'Set command mode
        'term.str(string("[0m")) 'Turn off character attributes
        'term.str(string("[1m")) 'Turn bold mode on
        'term.str(string("[2m")) 'Turn low intensity mode on
        'term.str(string("[4m")) 'Turn underline mode on
        'term.str(string("[5m")) 'Turn blinking mode on
        'term.str(string("[7m")) 'Turn reverse video on    
        'term.str(string("[8m")) 'Turn invisible text mode on
     
        'term.str(string("#3"))  'Double-height letters, top half 
        { 
        Esc#3   Double-height letters, top half         DECDHL
        Esc#4   Double-height letters, bottom half      DECDHL
        Esc#5   Single width, single height letters     DECSWL
        Esc#6   Double width, single height letters     DECDWL
        }
        
              
  
Repeat

        
        term.str(string(27))    'Set command mode 
        term.str(string("[1;1f"))  'Set Position

        waitcnt(80_000_000 + cnt) 
        
        term.str(string(27))    'Set command mode 
        term.str(string("[5;5f"))  'Set Position 

        term.str(string(27))  'Set command mode 
        term.str(string("[31m")) 'Red color text  
        
        term.str(string("UpTime   : "))

        term.dec(Years)       
        term.str(string(":Years  "))
        term.dec(Dayz)       
        term.str(string(":Days   "))
        term.dec(Hour)       
        term.str(string(":Hours   "))
                
        term.dec(Mnit)       
        term.str(string(":Min   "))




Dat
{{

  Terms of Use: MIT License

  Permission is hereby granted, free of charge, to any person obtaining a copy of this
  software and associated documentation files (the "Software"), to deal in the Software
  without restriction, including without limitation the rights to use, copy, modify,
  merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
  permit persons to whom the Software is furnished to do so, subject to the following
  conditions:

  The above copyright notice and this permission notice shall be included in all copies
  or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
  INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
  PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
  HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
  CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
  OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 

}}